Xcode Beta notwendig, wenn Beta auf einem iOS-Gerät?

Dieses Thema im Forum "iOS-Developer" wurde erstellt von maciboy, 14.09.15.

Schlagworte:
  1. maciboy

    maciboy Angelner Borsdorfer

    Dabei seit:
    24.11.14
    Beiträge:
    622
    Hi zusammen!

    Ich möchte mit dem Wegfall der nötigen Dev-Lizenz beginnen, eigene Apps zu schreiben und diese auf meinem iPhone zu testen.

    Jetzt meine wahrscheinlich einfache Frage:
    Auf meinem iPhone 6 läuft iOS 9.1 Beta.
    Kann ich jetzt das normale Xcode 7 (aktuell als GM) laden, oder muss ich Xcode 7.1 Beta laden, um die Programme auch auf meinem iPhone, statt nur im Simulator, testen zu können?

    TLDR:
    Muss ich eine Xcode Beta nutzen, um Live auf einer iOS Beta testen zu können?

    Danke für die Antwort!
     
  2. Scotch

    Scotch Juwel aus Kirchwerder

    Dabei seit:
    02.12.08
    Beiträge:
    6.601
    Ja.
     
    maciboy gefällt das.
  3. maciboy

    maciboy Angelner Borsdorfer

    Dabei seit:
    24.11.14
    Beiträge:
    622
    Hey Scotch!
    Danke für deine Rückmeldung!

    Bezieht sich dein „Ja“, auf diese Formulierung
    „Kann ich jetzt das normale Xcode 7 (aktuell als GM) laden?“
    oder doch auf diese
    „Muss ich eine Xcode Beta nutzen, um Live auf einer iOS Beta testen zu können?“
    ?

    Sorry für die Rückfrage, für nächste mal merke ich mir, nur eine Frageweise zu nutzen :D
    Danke!
     
  4. MacApple

    MacApple Schmalzprinz

    Dabei seit:
    05.01.04
    Beiträge:
    3.573
    Ich denke, die Xcode 7 GM sollte ausreichen. Die 7.1 Beta bringt ja eigentlich nur noch Unterstützung für tvOS mit. Bei Minor Updates der iOS Versionen zieht sich Xcode ja die notwendigen Infos beim ersten Verbindungsaufbau vom Gerät selbst runter. Garantieren kann ich dir das natürlich nicht.
     
    maciboy gefällt das.
  5. Scotch

    Scotch Juwel aus Kirchwerder

    Dabei seit:
    02.12.08
    Beiträge:
    6.601
    Ja. Genauer: Du musst die 7.1 beta nutzen, um das iOS 9.1 beta SDK benutzen zu koennen.

    Nein. Steht auch in den release notes genau so 'drin - warum schreibst du sowas?!
     
    maciboy gefällt das.
  6. MacApple

    MacApple Schmalzprinz

    Dabei seit:
    05.01.04
    Beiträge:
    3.573
    Ich kann auf die schnelle jedenfalls nichts in den Release Notes erkennen.
    Nun, meine Erfahrung ist, dass wenn ich mein iPhone zum Beispiel von 8.1 auf 8.2 upgedated hatte, ich kein Update von Xcode benötigt habe.
     
    maciboy gefällt das.
  7. maciboy

    maciboy Angelner Borsdorfer

    Dabei seit:
    24.11.14
    Beiträge:
    622
    Haha okidoki,
    dann mach ich try&error erstmal mit der GM und wenn nicht, dann halt die 7.1 Beta…

    Bin gespannt, wer von euch beiden recht hat ;)
     
  8. MacApple

    MacApple Schmalzprinz

    Dabei seit:
    05.01.04
    Beiträge:
    3.573
    Wie gesagt, garantieren tue ich nichts.:cool: Berichte dann mal. Interessiert mich auch.
     
  9. Scotch

    Scotch Juwel aus Kirchwerder

    Dabei seit:
    02.12.08
    Beiträge:
    6.601
    Verstehe nicht, was es da zu "entdecken" gibt - steht doch da:

    Bildschirmfoto 2015-09-14 um 18.29.36.png
     
  10. maciboy

    maciboy Angelner Borsdorfer

    Dabei seit:
    24.11.14
    Beiträge:
    622
    So ihr 2 ;)
    Habe jetzt den GM gestartet, dort wird mein iPhone als „ineligible device“ angezeigt. Eine Suche hat mich zu StackOverflow und dem Pfad im Screenshot geführt.
    Kurzum, aktuell fehlt dem GM noch die Unterstützung für 9.1 - respektive der entsprechende Ordner.
    Sobald dieser Ordner drin ist, wird das entsprechende OS unterstützt, daher auch @MacApple ’s Erfahrung, dass alte Xcode Versionen neuere iOSes unterstützen können…
     

    Anhänge:

  11. Scotch

    Scotch Juwel aus Kirchwerder

    Dabei seit:
    02.12.08
    Beiträge:
    6.601
    Meine Rede.

    Wenn man manuell das SDK in den Container einer älteren Xcode Version installiert, es keine relevanten Änderungen an Compiler und vor allem Linker gibt und man das entsprechende Build-Target zu Fuss konfinguriert: Ja.

    Ich bin sicher, dass habt ihr beide gemeint :)
     
  12. maciboy

    maciboy Angelner Borsdorfer

    Dabei seit:
    24.11.14
    Beiträge:
    622
    Ja, genau! Habe mir jetzt aus der Xcode Beta einfach den 9.1er Ordner in meine GM-Installation gezogen.
    Läuft (aktuell) wunderbar :)

    Danke euch beiden!
     
  13. MacApple

    MacApple Schmalzprinz

    Dabei seit:
    05.01.04
    Beiträge:
    3.573
    Da steht nur, was für SDKs enthalten sind. Das sind auch nicht die Release Notes. Die sind da nur verlinkt (jeweils der zweite Link).;)
    Das kommt mir doch bekannt vor. Scheint wohl doch so, das Apple seit Xcode 6.3 da was gedreht hat. Obwohl ich mir ziemlich sicher bin, dass ich mit iOS 8.4 und Xcode 6.3 keine Probleme hatte.